Skip to main content

Create customer location

POSThttps://carchost.fieldcontrol.com.br/customers/{customerId}/locations

Creates a location for the customer.

Requires the X-Api-Key, User-Agent and Content-Type: application/json headers. Limit: 1 request per second (learn more).

Request​

Path parameters

customerIdstringrequired

Customer identifier.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Request body

JSON, sent with the Content-Type: application/json header.

namestringrequired

Location name.

notesstring

Location notes.

Accepts: null.

archivedboolean

Archives the location. The primary location cannot be archived.

addressobjectrequired
Fields of address
postalCodestring

8-digit postal code (CEP), digits only.

Accepts: null.

streetstring

Accepts: null.

numberstring

Accepts: null.

neighborhoodstring

Accepts: null.

citystringrequired
statestringrequired
complementstring

Accepts: null.

coordsobjectrequired
Fields of coords
latitudenumberrequired

From -90 to 90.

longitudenumberrequired

From -180 to 180.

Responses

  • 201

    Location created.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Resource not found. The response body is empty.

  • 422

    Invalid request data (resourceValidationErr).

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.